/* 1. Use a more-intuitive box-sizing model */
*,
*::before,
*::after {
  box-sizing: border-box;
}
:root {
  scroll-behavior: smooth;
}

/* 2. Remove default margin */
body {
  font-family: "monospace, ui-sans-serif, system-ui, sans-serif";
  background-color: aliceblue;
}

li {
  list-style: none;
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.stepListContainer,
ul,
ol {
  padding: 0;
}

h1 {
  padding: 0;
}
.stepTitle {
  font-size: 1.25rem;
  font-weight: 800;
  font-variant: small-caps;
  margin: 0;
  margin-bottom: 1rem;
}

.underConstruction {
  font-size: 2rem;
  color: rgb(225, 133, 133);
}

.headerContainer {
  display: flex;
  flex-direction: column;
  /* border: 1px solid red; */
  display: flex;
  justify-content: center;
  align-content: center;
}
/* navigation bar */
.navbarContainer {
  padding: 0;
  position: sticky;
  top: 0;
  background-color: aliceblue;
  box-shadow: 0px 2.5px 1.5px gray;
}

.navbarAccordionMobile {
  display: none;
}

.navbarContentContainer {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.headerTitleImgContainer {
  display: flex;
  justify-content: flex-start;
  width: 45%;
}

.headerTitle {
  width: fit-content;
}

.headerImg {
  height: 48px;
  width: 48px;
  animation: bob 2s infinite alternate ease-in-out;
}

@keyframes bob {
  0% {
    /* Start position (original vertical position) */
    transform: translateY(0);
  }
  100% {
    /* End position (move up by 20 pixels) */
    transform: translateY(-5px);
  }
}

.navbarUnorderedList {
  display: flex;
  justify-content: flex-end;
  margin: 25px;
}

.navbarListItem,
.footerListItem,
.navbarListItemHome {
  list-style: none;
  padding: 5px;
}

.navbarListItemHome {
  margin-right: auto;
}

.navbarButton {
  display: block;
  color: inherit;
  text-decoration: none;
  background-color: transparent;
  font-size: 1rem;
  height: auto;
  width: fit-content;
  padding: 10px 5px;
  opacity: 0.75;
  font-weight: 600;
  cursor: pointer;
  border: 2px solid black;
  border-radius: 8px;
}

.navbarButtonActive {
  display: block;
  text-decoration: none;
  background-color: transparent;
  font-size: 1rem;
  height: auto;
  width: fit-content;
  padding: 10px 5px;
  opacity: 1;
  color: white;
  background-color: #0080ff;
  font-weight: 700;
  cursor: pointer;
  /* border: 2px solid black; */
  border-radius: 8px;
}

.navbarButton:hover {
  background: transparent;
  color: #0080ff;
  font-weight: 700;
}

.chromeInstallButton {
  background-color: rgb(2, 75, 147);
  color: white;
}

.chromeInstallButton:hover {
  background-color: rgb(4, 62, 121);
  font-weight: 900;
  color: white;
}

.hankiImg {
  width: 600px;
  height: auto;
  padding: 0 2rem;
}

.stepListItem {
  margin: 3.5rem 0;
}

.stepOneListItemDiv {
  border: 1px solid black;
  border-radius: 8px;
  background-color: #fafafa;
  padding: 1.5rem;
}
.stepListItemDiv {
  display: flex;
  border: 1px solid black;
  border-radius: 8px;
  background-color: #fafafa;
  padding: 1.5rem;
}

@media (max-width: 700px) {
  .stepListItemDiv {
    flex-direction: column;
    align-items: center;
  }

  .main {
    padding: 0 10px;
  }

  .headerTitleImgContainer {
    font-size: 0.5rem;
    width: 45%;
  }

  .headerImg {
    height: 25px;
    width: 25px;
  }

  .hankiImg {
    width: 100%;
    height: auto;
    padding: 0;
    margin-bottom: 1rem;
  }

  .summaryNavbarContainer {
    max-height: fit-content;
    width: fit-content;
    list-style: none;
  }

  .summaryNavbarContainer > svg {
    width: 35px;
    height: 35px;
  }
  .accordionSVG:focus {
    color: #0080ff;
  }

  .summaryNavbarContainer::marker {
    content: none;
  }

  .navbarDesktop {
    display: none;
  }
  .navbarAccordionMobile {
    display: block;
  }

  .navbarUnorderedList {
    background-color: aliceblue;
    position: absolute;
    right: 10px;
    display: flex;
    flex-direction: column;
    margin: 25px;
    border: 1px solid black;
    padding: 0;
  }
  .navbarUnorderedListDeskTop {
    display: none;
  }

  .navbarListItem {
    text-align: center;
  }

  .navbarButton {
    width: 150px;
  }

  .underConstruction {
    font-size: 24px;
    margin-top: 1rem;
  }
}

.footerUnorderedList {
  display: flex;
  justify-content: space-evenly;
}
